# Generated by Django 5.0.3 on 2024-03-07 22:49

import django.db.models.deletion
from django.conf import settings
from django.db import migrations, models


class Migration(migrations.Migration):

    initial = True

    dependencies = [
        migrations.swappable_dependency(settings.AUTH_USER_MODEL),
    ]

    operations = [
        migrations.CreateModel(
            name='Cambio',
            fields=[
                ('Codigo', models.CharField(max_length=5, primary_key=True, serialize=False)),
                ('Descripcion', models.CharField(max_length=200)),
            ],
        ),
        migrations.CreateModel(
            name='Cita',
            fields=[
                ('Numero', models.AutoField(primary_key=True, serialize=False)),
                ('Fecha', models.DateField()),
                ('Hora', models.CharField(max_length=10)),
            ],
        ),
        migrations.CreateModel(
            name='Marca',
            fields=[
                ('Codigo', models.CharField(max_length=5, primary_key=True, serialize=False)),
                ('Nombre', models.CharField(max_length=30)),
            ],
        ),
        migrations.CreateModel(
            name='Tecnico',
            fields=[
                ('Numero', models.AutoField(editable=False, primary_key=True, serialize=False, unique=True)),
                ('NomPila', models.CharField(max_length=30)),
                ('PrimApell', models.CharField(max_length=30)),
                ('SegApell', models.CharField(max_length=30, null=True)),
                ('NumTel', models.CharField(max_length=15)),
                ('Correo', models.CharField(max_length=60)),
                ('Usuario', models.CharField(max_length=60)),
                ('Contraseña', models.CharField(max_length=20)),
                ('Status', models.BooleanField(default=True)),
            ],
        ),
        migrations.CreateModel(
            name='TipoMaquina',
            fields=[
                ('Codigo', models.CharField(max_length=5, primary_key=True, serialize=False, unique=True)),
                ('Nombre', models.CharField(max_length=100)),
                ('Descripcion', models.CharField(max_length=150)),
            ],
        ),
        migrations.CreateModel(
            name='Modelo',
            fields=[
                ('Codigo', models.CharField(max_length=5, primary_key=True, serialize=False)),
                ('Nombre', models.CharField(max_length=30)),
                ('Año', models.IntegerField(null=True)),
                ('Marca', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='home.marca')),
            ],
        ),
        migrations.CreateModel(
            name='Maquina',
            fields=[
                ('Codigo', models.CharField(max_length=5, primary_key=True, serialize=False)),
                ('Descripcion', models.CharField(max_length=100, null=True)),
                ('Marca', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='home.marca')),
                ('Modelo', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='home.modelo')),
                ('Tipo_Maquina', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='home.tipomaquina')),
            ],
        ),
        migrations.CreateModel(
            name='Servicio',
            fields=[
                ('Numero', models.AutoField(primary_key=True, serialize=False, unique=True)),
                ('Descripcion', models.CharField(max_length=200)),
                ('Cita', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='home.cita')),
                ('Maquina', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='home.maquina')),
            ],
        ),
        migrations.AddField(
            model_name='cita',
            name='Tecnico',
            field=models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='home.tecnico'),
        ),
        migrations.CreateModel(
            name='usuarios',
            fields=[
                ('Numero', models.AutoField(editable=False, primary_key=True, serialize=False, unique=True)),
                ('Nombre', models.CharField(max_length=50, null=True)),
                ('NumTel', models.CharField(max_length=15)),
                ('ContNomPila', models.CharField(max_length=30)),
                ('ContPrimApell', models.CharField(max_length=30)),
                ('ContSegApell', models.CharField(blank=True, max_length=30, null=True)),
                ('Colonia', models.CharField(max_length=50)),
                ('Calle', models.CharField(max_length=50)),
                ('Cp', models.IntegerField()),
                ('user', models.OneToOneField(on_delete=django.db.models.deletion.CASCADE, to=settings.AUTH_USER_MODEL)),
            ],
        ),
        migrations.AddField(
            model_name='cita',
            name='Usuario',
            field=models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='home.usuarios'),
        ),
        migrations.CreateModel(
            name='ServCambio',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('Cantidad', models.IntegerField()),
                ('Cambio', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='home.cambio')),
                ('Servicio', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='home.servicio')),
            ],
            options={
                'unique_together': {('Servicio', 'Cambio')},
            },
        ),
    ]
